/*
www.E2CRE8.be - Brainbox Arduino  - by Bart Huyskens
13/01/2016

This program generates a PWM signal on one of the pins that have PWM functionality
The program generates a PWM signal with this sequence:
1- Rising PWM duty cycle from 0-100% (0-255) over a period of +/-5sec
2- Falling PWM duty cycle from 100% to 0% (255-0) over a period of +/- 5sec

In this case we use pin D5. You could connect a DC motor (600mA max) between D5 and GND
You could also test this with a led (with resistor) between D5 and GND
Be aware that the 600mA power outputs need a jumper to select the output voltage

The pins on the BBA that have PWM functionality are:
D3  20mA max
D5    600mA max
D6    600mA max
D9    600mA max
D10   600mA max
D11 20mA max
D13 20mA max (Blue led)
*/

// these lines make it possible to use pin names instead of pin numbers
// Constants do not change during the program
const int PWM_PIN =  5; 


// this setup function runs once when you press reset or power the board
void setup() 
{
  // initialize digital pin as output
  pinMode(PWM_PIN, OUTPUT);
}

// this loop function runs over and over again forever
void loop() 
{
  while(1)
  {
  for (int brightness = 0; brightness<255; brightness++) // loop counter 0 up to 255
    {
    analogWrite(PWM_PIN, brightness);     // PWM output signal  
    delay(20);                  // wait for ..msec  (255x20msec = 5.1sec)
    }
  for (int brightness = 255; brightness>0; brightness--) // loop counter 255 down to 0
    {
    analogWrite(PWM_PIN, brightness);    // PWM output signal  
    delay(20);                  // wait for ..msec  (255x20msec = 5.1sec)
    }
 }
}
